@charset "UTF-8";


body {
    font-family: "Noto Sans JP", serif;
}

main {
    padding-top: 1.5rem;
}

th,
td {
    vertical-align: middle;
}


/* タイトル */
._my_title {
    padding: 0.5rem 1.25rem;
    color: var(--bs-green);
    font-size: 1.5rem;
    text-align: center;
    border: solid 1px var(--bs-green);
    border-radius: 0.5rem;
}


._my_main_menu a {
    margin-top: 2rem;
    margin-bottom: 1rem;
    display: inline-block;
    padding: 2rem;
    width: 100%;
    font-size: 1.25rem;
    text-align: center;
    text-decoration: none;
    border: solid 1px #DDD;
    border-radius: 0.5rem;
}

._my_main_menu a:hover {
    color: #FFF;
    background-color: #999;
    transition: color 0.4s, background-color 0.4s;
}

/* エラーメッセージ */
._my_error_message {
    margin-bottom: 1.5rem;
    padding: 1rem;
    color: #721c24;
    background-color: #f8d7da;
    border-color: #f5c6cb;
    border-radius: 0.5rem;
}

._my_error_message ul {
    margin-bottom: 0;
    padding-left: 0;
    list-style-type: none;
}

/* その他 */
._my_table_shorturl {
    font-size: 0.875em;
}

._my_cell_url {
    white-space: nowrap;
    overflow: hidden;
    max-width: 300px;
    font-size: 0.875em;
}

tr._my_updated_row td {
    border-top: solid 3px #FED43A !important;
    border-bottom: solid 3px #FED43A !important;
}

tr._my_updated_row>td:first-child {
    border-left: solid 3px #FED43A !important;
}

tr._my_updated_row>td:last-child {
    border-right: solid 3px #FED43A !important;
}

tr._my_archived_row td {
    background-color: #DEDEDE !important;
}

/* フッター */
footer .col>div {
    margin-top: 2rem;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    text-align: center;
    background-color: #F8F9FA;
}